%define name	gtkpod
%define version	0.60
%define release 1mdk

Name: 	 	%{name}
Summary: 	GTK interface to iPod.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://gtkpod.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libid3lib-devel libgtk+2.0-devel gettext pkgconfig

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.


%prep
%setup -q
chmod 644 README ChangeLog COPYING AUTHORS

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="GTKPod" longtitle="Interface to iPod" section="Multimedia/Sound"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Mon Oct 6 2003 Austin Acton <aacton@yorku.ca> 0.60-1mdk
- 0.60

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 0.52-1mdk
- 0.52

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.51-2.1mdk
- 0.51-2

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.50-2mdk
- build release for libid3

* Sun Mar 23 2003 Austin Acton <aacton@yorku.ca> 0.50-1mdk
- 0.50

* Thu Feb 27 2003 Austin Acton <aacton@yorku.ca> 0.43-1mdk
- 0.43

* Thu Feb 20 2003 Austin Acton <aacton@yorku.ca> 0.42-1mdk
- 0.42

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.41-1mdk
- initial package
